Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.parameter
Interface ParameterDescriptorGroup

All Superinterfaces:
  GeneralParameterDescriptor, IdentifiedObject

    @UML(identifier="CC_OperationParameterGroup",
         specification=ISO_19111)
    public interface ParameterDescriptorGroup

extends GeneralParameterDescriptor

The definition of a group of related parameters used by an operation method.

Since:
  GeoAPI 2.0
Version:
  Abstract specification 2.0
See Also:
  `ParameterValueGroup`, `ParameterDescriptor`

Field Summary

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`GeneralParameterDescriptor` | `descriptor(String name)` Returns the parameter descriptor in this group for the specified identifier code.
`List<GeneralParameterDescriptor>` | `descriptors()` Returns the parameters in this group.

Methods inherited from interface GeneralParameterDescriptor
`createValue, getMaximumOccurs, getMinimumOccurs`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### descriptors

    @UML(identifier="includesParameter",
         obligation=MANDATORY,
         specification=ISO_19111)
    List<GeneralParameterDescriptor> descriptors()

  Returns the parameters in this group.

### descriptor

    @Extension
    GeneralParameterDescriptor descriptor(String name)
                                          throws ParameterNotFoundException

  Returns the parameter descriptor in this group for the specified identifier code.

  Parameters:
    `name` - The case insensitive identifier code of the parameter to search for.
  Returns:
    The parameter for the given identifier code.
  Throws:
    `ParameterNotFoundException` - if there is no parameter for the given identifier code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.